Bug 2433 - Ukrainian I's are in wrong positions in the font
: Ukrainian I's are in wrong positions in the font
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/XFree86-KOI8-75dpi-fonts)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-03-27 20:59 by
Modified: 2006-07-24 11:34 (History)


Attachments
0002433-cronyx-bad-koi8-u-in-emacs.png (52.60 KB, image/png)
2003-03-27 21:19, imz
no flags Details
0002433-cronyx-bad-koi8-u-in-xfd.png (31.78 KB, image/png)
2003-03-27 20:59, imz
no flags Details
GNU Emacs with intlfonts (52.66 KB, image/png)
2004-06-07 19:22, Serhii Hlodin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-03-27 20:59:28
In -Cronyx-Helvetica-Medium-R-Normal--18-180-75-75-P-98-KOI8-U, the special
Ukrainian \"I\" glyphs are not in the positions they are expected to
be in a KOI8-U font.

Compare to -Cronyx-Courier-Medium-R-Normal--20-140-100-100-M-120-KOI8-U (from
XFree86-KOI8-100dpi-fonts-3.0-ipl6mdk), where they are in other (correct, I
guess) positions.

The attached screenshot shows the diference that can be seen  by using xfd.


---
xfd -fn -Cronyx-Helvetica-Medium-R-Normal--18-180-75-75-P-98-KOI8-U &
xfd -fn -Cronyx-Courier-Medium-R-Normal--20-140-100-100-M-120-KOI8-U &


---
XFree86-KOI8-75dpi-fonts-3.0-ipl6mdk
------- Comment #1 From 2003-03-27 21:21:33 -------
Another way to see the problems with the font -- viewing the multilingual HELLO
collection in Emacs -- look at the Ukrainian line:

xrdb -remove
emacs -font -Cronyx-Helvetica-Medium-R-Normal--18-180-75-75-P-98-KOI8-U -title
\'75 (bad)\' /usr/share/emacs/21.3/etc/HELLO &
emacs -font -Cronyx-Courier-Medium-R-Normal--20-140-100-100-M-120-KOI8-U -title
\'100 (good)\' /usr/share/emacs/21.3/etc/HELLO &

(illustration attached)

edited on: 27-03 21:27
------- Comment #2 From 2003-03-27 21:21:33 -------
Another way to see the problems with the font -- viewing the multilingual HELLO
collection in Emacs -- look at the Ukrainian line:

xrdb -remove
emacs -font -Cronyx-Helvetica-Medium-R-Normal--18-180-75-75-P-98-KOI8-U -title
\'75 (bad)\' /usr/share/emacs/21.3/etc/HELLO &
emacs -font -Cronyx-Courier-Medium-R-Normal--20-140-100-100-M-120-KOI8-U -title
\'100 (good)\' /usr/share/emacs/21.3/etc/HELLO &

(illustration attached)

edited on: 27-03 21:27
------- Comment #3 From 2004-06-03 16:52:34 -------
Миша, может быть кто из украинской части Team подскажет как исправить 
проблему? Если она конечно до сих пор существует. 
------- Comment #4 From 2004-06-04 18:09:18 -------
Разве что Сергей в курсе.
------- Comment #5 From 2004-06-07 19:22:27 -------
Created an attachment (id=425) [details]
GNU Emacs with intlfonts

Используйте GNU Emacs с пакетом intlfonts. Изображение HELLO смотрите в файле
emacs-intlfonts.png. По нему все баги закрыты, а поэтому можно рекомендовать
его в новый Мастер.
------- Comment #6 From 2004-06-07 19:33:00 -------
Второй вариант -- попробовать семейство шрифтов cyr_rfx. Cronix на моей памяти
никогда не отличался "дружелюбностью" к украинским буквам и сам по себе
аляповато сделан.
------- Comment #7 From 2006-07-24 11:33:17 -------
Бишь наверное -- WONTFIX.  И на всякий забираю багу себе.
------- Comment #8 From 2006-07-24 11:34:20 -------
Разве что проверить, что Cronyx не попадает типично выше того же cyr_rfx по
умолчанию в последующих дистрибутивах.